import { jsx } from "react/jsx-runtime";
import { FilePdf as FilePdf$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const FilePdf = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "FilePdf", ...props, children: /* @__PURE__ */ jsx(FilePdf$1, { weight: variant }) });
  }
);
FilePdf.displayName = "FilePdf";
Object.assign(FilePdf, { isGdsIcon: true });
export {
  FilePdf
};
